Holger's Java API

## com.antelmann.db
Class DatabaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.antelmann.db.DatabaseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConnectionException, DBVetoException, TransactionException, WrongDataException

    public class DatabaseException

extends RemoteException

DatabaseException signals problems while accessing/using any form of database. This exception is mostly used to encapsulate such exceptions like IOException (for file databases) and SQLException (for JDBC databases) or to indicate data consistency problems.

Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`DatabaseException()`
`DatabaseException(DBClassStore<?> store, Throwable cause)`
`DatabaseException(String message)`
`DatabaseException(String message, Throwable cause)`
`DatabaseException(Throwable cause)`

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseException

    public DatabaseException()

### DatabaseException

    public DatabaseException(String message)

### DatabaseException

    public DatabaseException(Throwable cause)

### DatabaseException

    public DatabaseException(DBClassStore<?> store,
                             Throwable cause)

### DatabaseException

    public DatabaseException(String message,
                             Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads